## org.eclipse.datatools.sqltools.plan
Interface IPlanParser

public interface IPlanParser

Parse the execution plan from raw data to modeled data --- `IExecutionPlanDocument`, then `IPlanDrawer` will draw it on a `Canvas`

Author:
  Dafan Yang
See Also:
  `IExecutionPlanDocument`

Method Summary
`IExecutionPlanDocument[]` `parsePlan(java.lang.String rawPlan)` Parses the raw data of execution plan to `IExecutionPlanDocument` array

Method Detail

### parsePlan

    public IExecutionPlanDocument[] parsePlan(java.lang.String rawPlan)

  Parses the raw data of execution plan to `IExecutionPlanDocument` array

  Parameters:
    `rawPlan` - the raw data of execution plan
  Returns:
    the execution plan documents

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.